image:
  file: .gitpod.dockerfile

tasks:
  - name: download chile-latest.osm.pbf
    init: |
      mkdir osrm
      cd /workspace/routes/osrm
      wget https://download.geofabrik.de/south-america/chile-latest.osm.pbf
      docker run -t -v "/workspace/routes/osrm:/data" osrm/osrm-backend osrm-extract -p /opt/car.lua /data/chile-latest.osm.pbf
      docker run -t -v /workspace/routes/osrm:/data osrm/osrm-backend osrm-partition /data/chile-latest.osm.pbf
      docker run -t -v /workspace/routes/osrm:/data osrm/osrm-backend osrm-customize /data/chile-latest.osm.pbf
      docker run --name osrm -t -i -p 5000:5000 -v /workspace/routes/osrm:/data osrm/osrm-backend osrm-routed --algorithm mld /data/chile-latest.osm.pbf
    command: |
      docker start osrm
